// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/bisai.png',
    src1: '/image/chuangjian.png',
    src2: '/image/hei.png',
    src4: '/image/paiming.png',
    src5: '/image/shenpi.png',
    frameStyle: { useTop: true, name: '比赛管理', leftArrow: false, useBar: true },
    // 主体高度
    infoHeight: '',
    list: [
      {
        id: '1', name: '朝阳区乒乓球比赛', week: '星期五', time: '13：00',
        state: '进行中', listbisai: [
          {
            id: '1', head2: '/image/head2.png', head1: '/image/head1.png', fraction2: '1', groupname2: '马尼拉老年组', group: '第一组', fraction1: '2', groupname1: '哈拉海队幼儿园', match: '循环赛'
          }
        ], date: '2022.01.15', address: '吉林省长春市远创国际A座'
      },
      {
        id: '1', name: '经开区足球比赛',
        week: '星期一', listbisai: [
          {
            id: '1', head2: '/image/head2.png', head1: '/image/head1.png', fraction2: '1', groupname2: '马尼拉老年组', group: '第一组', fraction1: '2', groupname1: '哈拉海队幼儿园', match: '循环赛'
          }
        ], time: '09：00', state: '进行中', date: '2022.01.20', address: '吉林省长春市远创国际A座'
      },

    ],
    liststart: [
      {
        id: '1', name: '朝阳区乒乓球比赛', week: '星期五', time: '13：00',
        state: '待比赛', listbisai: [
          {
            id: '1', head2: '/image/head2.png', head1: '/image/head1.png', fraction2: '0', groupname2: '马尼拉老年组', group: '第一组', fraction1: '0', groupname1: '哈拉海队幼儿园', match: '循环赛'
          }
        ], date: '2022.01.15', address: '吉林省长春市远创国际A座'
      },
      {
        id: '1', name: '经开区足球比赛',
        week: '星期一', listbisai: [], time: '09：00', state: '待比赛', date: '2022.01.20', address: '吉林省长春市远创国际A座'
      },
    ],
    listend: [
      {
        id: '1', name: '朝阳区乒乓球比赛', week: '星期五', time: '13：00',
        state: '已结束', listbisai: [], date: '2022.01.15', address: '吉林省长春市远创国际A座'
      },
      {
        id: '1', name: '朝阳区乒乓球比赛', week: '星期五', time: '13：00',
        state: '已结束', listbisai: [], date: '2022.01.15', address: '吉林省长春市远创国际A座'
      },
    ],
  },
  tabPath(e) {
    let query = e.detail.detail;
    if (query) wx.redirectTo({ url: `/pages/${query}/index` })
  },
  tiao: function () {
    wx.navigateTo({
      url: '/pages/list/index',
    })
  },
  xun: function () {
    wx.navigateTo({
      url: '/pages/match/detail',
    })
  },
  jump: function () {
    wx.navigateTo({
      url: `/pages/competition/index`,
    })
  },
  tuan: function () {
    wx.navigateTo({
      url: `/pages/ranking/index`,
    })
  },
  shen: function () {
    wx.navigateTo({
      url: `/pages/administration/detail`,
    })
  },
  setup() {
    const active = ref(0);
    return { active };
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})